package ru.yandex.autotests.direct.web.data.statistic;

public enum SearchQueriesColumns {
    SHOWS("shows"),
    ESHOWS("eshows"),
    CLICKS("clicks"),
    CTR("ctr"),
    ECTR("ectr"),
    SUM("sum"),
    AV_SUM("av_sum"),
    FP_SHOWS_AVG_POS("fp_shows_avg_pos"),
    FP_CLICKS_AVG_POS("fp_clicks_avg_pos"),
    BOUNCE_RATIO("bounce_ratio"),
    ADEPTH("adepth"),
    ACONV("aconv"),
    AGOALCOST("agoalcost"),
    AGOALNUM("agoalnum"),
    AGOALROI("agoalroi"),
    AGOALINCOME("agoalincome"),
    DEFAULT("shows,clicks,ctr,sum"),
    ALL("shows,clicks,ctr,sum,av_sum,fp_shows_avg_pos,fp_clicks_avg_pos,bounce_ratio,adepth,aconv,agoalcost,agoalnum,agoalroi,agoalincome");

    private String value;

    SearchQueriesColumns(String value) {
        this.value = value;
    }

    @Override
    public String toString() {
        return value;
    }
}
